package de.accso.flexinale.application.services;

import de.accso.flexinale.domain.model.Vorfuehrung;
import de.accso.flexinale.shared_kernel.Identifiable;
import jakarta.transaction.Transactional;

import java.util.List;

@Transactional
public class VorfuehrungService {

    private final de.accso.flexinale.domain.services.VorfuehrungService vorfuehrungService;

    public VorfuehrungService(de.accso.flexinale.domain.services.VorfuehrungService vorfuehrungService) {
        this.vorfuehrungService = vorfuehrungService;
    }

    public Vorfuehrung vorfuehrung(Identifiable.Id vorfuehrungId) {
        return vorfuehrungService.vorfuehrung(vorfuehrungId);
    }

    public List<Vorfuehrung> vorfuehrungen() {
        return vorfuehrungService.vorfuehrungen();
    }
}
